# Password
Le password sono la prima barriera di accesso a dati che vogliamo
tenere per noi. 

Le usiamo leggere la posta, per ritirare al bancomat (pin), per entrare
nel computer e nei mille servizi digitali a cui accediamo.
--
<!-- .slide: data-background-transition="zoom" data-background="https://ak7.picdn.net/shutterstock/videos/25863227/thumb/5.jpg" -->
--
### cosa <u>non</u> fare

- mai condividere una password, tienila per te.
- mai riusare una password per servizi diversi.
- non usare qualcosa riconducibile a te.
- cambiala ogni volta che credi possa essere compromessa.
- evita le domande di riserva (se puoi).
--
### Come viene craccata una password?
Un approccio comune è tentare di indovinare ripetutamente la password.

Esistono programmi e servizi che lo fanno e si basano comunemente su dizionari
a cui vengono applicate delle regole (permutazioni, aggiunte di prefissi/suffissi,
cambio di caratteri comuni, maiuscole/minuscole).

notes: suggerimenti sbagliati -> usare dei numeri (easy to guess e -> 3, etc..), oppure
aggiunti alla fine o all'inizio della password. Ashley Madison.
Considerare che i file dizionario in attacchi mirati vengono creati ad-hoc prendendo tutto il material digitale del target.
--
### Password

   ![](./img/password_strength.png)
--
### Ma quante ne devo memorizzare?

Poche, perchè devi usare un password manager.
--

### Password manager
--
### Sicurezza dei dati

Posso perdere/rompere un dispositivo o possono sequestrarmelo.
Probabilità alta! Cosa puoi fare:

  - fare frequenti backup 
  - cifrare i dati
--
### Backup

- disco locale
- remoto
--

## Cifratura disco
E' facile! Richiede solo l'inserimento di una passphrase all'avvio del computer, o di un pin all'avvio del telefono.

Con una buona passphrase/pin il contenuto del disco sarà al sicuro per un po'.

## Cifratura disco, precisazioni

da cosa non mi protegge? i dati sono in chiaro a computer acceso, 
quindi non lasciarlo incustodito (per poco tempo blocca lo schermo almeno),
se hai dati molto sensibili o un livello di paranoia sufficiente,
fai un'altra partizione cifrata da aprire solo quando lavori con quel
materiale. 

inoltre non ti protegge da malware.

notes: per paranoia++, togliere la batteria in modo che per spegnere
il device basta togliere l'alimentazione e non cercare il tasto
spegni....

## Cancellazione sicura dei dati
Per ottimizzare, quando eliminiamo un file, il sistema operativo segna solo
come libero il posto che occupa, non ne sovrascrive il contenuto. E' possibile recuperarne il contenuto. Fai te.
